新しいカスタムアクション定義を作成
curl --request POST \
--url https://api.hubapi.com/automation/v4/actions/{appId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actionUrl": "<string>",
"functions": [
{
"functionSource": "<string>",
"id": "<string>"
}
],
"inputFields": [
{
"isRequired": true,
"typeDefinition": {
"name": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"description": "<string>",
"helpText": "<string>",
"label": "<string>",
"optionsUrl": "<string>",
"referencedObjectType": "OWNER"
},
"supportedValueTypes": []
}
],
"labels": {},
"objectTypes": [
"<string>"
],
"published": true,
"archivedAt": 123,
"executionRules": [
{
"conditions": {},
"labelName": "<string>"
}
],
"inputFieldDependencies": [
{
"controllingFieldName": "<string>",
"dependencyType": "SINGLE_FIELD",
"dependentFieldNames": [
"<string>"
]
}
],
"outputFields": [
{
"typeDefinition": {
"externalOptions": true,
"name": "<string>",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"schema": {
"type": "INTEGER",
"maximum": 123,
"minimum": 123
},
"useChirp": true,
"description": "<string>",
"externalOptionsReferenceType": "<string>",
"helpText": "<string>",
"label": "<string>",
"optionsUrl": "<string>"
}
}
]
}
'import requests
url = "https://api.hubapi.com/automation/v4/actions/{appId}"
payload = {
"actionUrl": "<string>",
"functions": [
{
"functionSource": "<string>",
"id": "<string>"
}
],
"inputFields": [
{
"isRequired": True,
"typeDefinition": {
"name": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"description": "<string>",
"helpText": "<string>",
"label": "<string>",
"optionsUrl": "<string>",
"referencedObjectType": "OWNER"
},
"supportedValueTypes": []
}
],
"labels": {},
"objectTypes": ["<string>"],
"published": True,
"archivedAt": 123,
"executionRules": [
{
"conditions": {},
"labelName": "<string>"
}
],
"inputFieldDependencies": [
{
"controllingFieldName": "<string>",
"dependencyType": "SINGLE_FIELD",
"dependentFieldNames": ["<string>"]
}
],
"outputFields": [{ "typeDefinition": {
"externalOptions": True,
"name": "<string>",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": True,
"label": "<string>",
"readOnly": True,
"value": "<string>"
}
],
"schema": {
"type": "INTEGER",
"maximum": 123,
"minimum": 123
},
"useChirp": True,
"description": "<string>",
"externalOptionsReferenceType": "<string>",
"helpText": "<string>",
"label": "<string>",
"optionsUrl": "<string>"
} }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actionUrl: '<string>',
functions: [{functionSource: '<string>', id: '<string>'}],
inputFields: [
{
isRequired: true,
typeDefinition: {
name: '<string>',
options: [
{
label: '<string>',
value: '<string>',
description: '<string>',
displayOrder: 123
}
],
description: '<string>',
helpText: '<string>',
label: '<string>',
optionsUrl: '<string>',
referencedObjectType: 'OWNER'
},
supportedValueTypes: []
}
],
labels: {},
objectTypes: ['<string>'],
published: true,
archivedAt: 123,
executionRules: [{conditions: {}, labelName: '<string>'}],
inputFieldDependencies: [
{
controllingFieldName: '<string>',
dependencyType: 'SINGLE_FIELD',
dependentFieldNames: ['<string>']
}
],
outputFields: [
{
typeDefinition: {
externalOptions: true,
name: '<string>',
options: [
{
description: '<string>',
displayOrder: 123,
doubleData: 123,
hidden: true,
label: '<string>',
readOnly: true,
value: '<string>'
}
],
schema: {type: 'INTEGER', maximum: 123, minimum: 123},
useChirp: true,
description: '<string>',
externalOptionsReferenceType: '<string>',
helpText: '<string>',
label: '<string>',
optionsUrl: '<string>'
}
}
]
})
};
fetch('https://api.hubapi.com/automation/v4/actions/{appId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actionUrl": "<string>",
"functions": [
{
"id": "<string>"
}
],
"id": "<string>",
"inputFields": [
{
"isRequired": true,
"typeDefinition": {
"name": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"description": "<string>",
"helpText": "<string>",
"label": "<string>",
"optionsUrl": "<string>",
"referencedObjectType": "OWNER"
},
"supportedValueTypes": []
}
],
"labels": {},
"objectTypes": [
"<string>"
],
"published": true,
"revisionId": "<string>",
"archivedAt": 123,
"executionRules": [
{
"conditions": {},
"labelName": "<string>"
}
],
"inputFieldDependencies": [
{
"controllingFieldName": "<string>",
"dependencyType": "SINGLE_FIELD",
"dependentFieldNames": [
"<string>"
]
}
],
"objectRequestOptions": {
"properties": [
"<string>"
]
},
"outputFields": [
{
"typeDefinition": {
"externalOptions": true,
"name": "<string>",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"schema": {
"type": "INTEGER",
"maximum": 123,
"minimum": 123
},
"useChirp": true,
"description": "<string>",
"externalOptionsReferenceType": "<string>",
"helpText": "<string>",
"label": "<string>",
"optionsUrl": "<string>"
}
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}定義
Create a new custom action definition
新しいカスタム ワークフロー アクションを作成します。
POST
/
automation
/
v4
/
actions
/
{appId}
新しいカスタムアクション定義を作成
Supported products
Supported products
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
アプリの固有ID。
ボディ
application/json
アクションが実行されるURLエンドポイント。
Show child attributes
Show child attributes
Show child attributes
Show child attributes
名前や説明を含む、アクションに関連付けられたさまざまなラベルを保持します。
Show child attributes
Show child attributes
アクションが公開され、使用可能であるかどうかを示します。
アクションがアーカイブされた日時を示すタイムスタンプ。
Show child attributes
Show child attributes
- SINGLE_FIELD
- CONDITIONAL_SINGLE_FIELD
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
レスポンス
successful operation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- SINGLE_FIELD
- CONDITIONAL_SINGLE_FIELD
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
最終更新日 2026年4月10日
⌘I